org.springframework.ldap.filter

## Class OrFilter

- java.lang.Object
- - org.springframework.ldap.filter.AbstractFilter
  - - org.springframework.ldap.filter.BinaryLogicalFilter
    - - org.springframework.ldap.filter.OrFilter

- All Implemented Interfaces:
    Filter

      public class OrFilter
      extends BinaryLogicalFilter

  Filter for logical OR.

       OrFilter filter = new OrFilter();
       filter.or(new EqualsFilter("objectclass", "person");
       filter.or(new EqualsFilter("objectclass", "organizationalUnit");
       System.out.println(filter.encode());

  would result in: `(|(objectclass=person)(objectclass=organizationalUnit))`
  Author:
    Adam Skogman, Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getLogicalOperator()` Implement this in subclass to return the logical operator, for example "&".
    `OrFilter` | `or(Filter query)` Add a query to the OR expression

    - ### Methods inherited from class org.springframework.ldap.filter.BinaryLogicalFilter

      `append, appendAll, encode, equals, hashCode`

    - ### Methods inherited from class org.springframework.ldap.filter.AbstractFilter

      `encode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrFilter

          public OrFilter()

  - ### Method Detail

    - #### or

          public OrFilter or(Filter query)

      Add a query to the OR expression
      Parameters:
        `query` - The query to or with the rest of the or:ed queries.
      Returns:
        This LdapOrQuery

    - #### getLogicalOperator

          protected String getLogicalOperator()

      Description copied from class: `BinaryLogicalFilter`
      Implement this in subclass to return the logical operator, for example "&".
      Specified by:
        `getLogicalOperator` in class `BinaryLogicalFilter`
      Returns:
        the logical operator.